import java.awt.*;
import java.io.*;

public class FileViewer1 extends Frame
{
  Button close;

  public FileViewer1(String filename) throws IOException
   {
     super("FileViewer1:"+filename);
   File f = new File(filename);
   int size = (int)f.length();
   int bytes_read = 0;
    int found;


   byte[] TAG_VERSION = 1000;

FileInputStream in = new FileInputStream(f);
byte[]data = new byte[size];

//while (bytes_read<size)

   bytes_read=in.read(data,bytes_read,4);

if(data==TAG_VERSION)
  {
    found = 1;
  }
else
  {
    found =0;
   }
   


TextArea textarea = new TextArea(new String(data,0),24,80);
textarea.setFont(new Font("Helvetica",Font.PLAIN,12));
textarea.setEditable(false);
this.add("Center",textarea);

close = new Button("Close");
this.add("South",close);
this.pack();
this.show();
}

public boolean action(Event e, Object what) {

  if(e.target == close)
    {
     this.hide();
     this.dispose();
     return true;
     }
  return false;

}


static public void main(String[] args) throws IOException
  {

    if (args.length!=1)
   {
      System.out.println("Usage: java FileViewer1 <filename>");
      System.exit(0);
   }

    try {Frame f = new FileViewer1(args[0]);}

      catch(IOException e){System.out.println(e);}
  }

}


